Skip to main content
GET
/
snapshot
/
{client_id}
/
{snapshot_guid}
/
{file_name}
# If using curl, the output response can be 
# saved to a file by adding the flag option 
# `-o` and specifying the download path and 
# file name (e.g. `-o transactions-snapshot.avro.gz`).

curl -X GET https://int-logs.moneydesktop.com/snapshot/ABCBank/CSS-2f5fcc32-2505-41c2-b04e-11a15c4dc37/transactions_cf3586e2a0eeb0049f7074926076acfe -o filename.avro.gz \
  -H 'Accept: application/vnd.mx.logs.v1+avro' \
  -H 'MD-API-KEY: {api_key}'

Path Parameters

client_id
string
required
Your client ID.
snapshot_guid
string
required
The unique identifier for the snapshot.
file_name
string
required
The name of the snapshot file to download.
# If using curl, the output response can be 
# saved to a file by adding the flag option 
# `-o` and specifying the download path and 
# file name (e.g. `-o transactions-snapshot.avro.gz`).

curl -X GET https://int-logs.moneydesktop.com/snapshot/ABCBank/CSS-2f5fcc32-2505-41c2-b04e-11a15c4dc37/transactions_cf3586e2a0eeb0049f7074926076acfe -o filename.avro.gz \
  -H 'Accept: application/vnd.mx.logs.v1+avro' \
  -H 'MD-API-KEY: {api_key}'